{ lib, beamPackages, callPackage, ... }:

beamPackages.mixRelease rec {
  pname = "group-b";
  version = "0.0.1";

  src = ./.;

  dontStrip = true;

  XDG_CACHE_HOME = "/tmp/elixir-cache";
  mixNixDeps = import ./mix.nix {
    inherit beamPackages lib;
    overrides = (final: prev: {
      exqlite = prev.exqlite.overrideAttrs (pprev: pprev // {
        XDG_CACHE_HOME = "/tmp/elixir-cache";
      });
    });
  };

  meta = with lib; {
    description = "A Rally Racing Roguelite";
    homepage = "https://arcology.garden/dumb-ideas/group-b";
    license = licenses.unfree;
    maintainers = with maintainers; [ rrix ];
  };
}
